##  for PCLinuxOS  ##

%define ver 2.001
%define rel 1.nora17

%define fontdir %{_datadir}/fonts/TTF/inconsolata
%define fontconfdir %{_sysconfdir}/X11/fontpath.d

Name:    fonts-ttf-inconsolata
Summary: monospaced font designed for code listings
Version: %{ver}
Release: %{rel}
License: SIL OFL v1.1
Group:   System/Fonts/True type
URL:     http://www.levien.com/type/myfonts/inconsolata.html
Source0: Inconsolata-%{version}.tar.xz
BuildArch: noarch
Obsoletes: fonts-otf-inconsolata

%description
Inconsolata is a monospace font, designed for code listings and the like, in print.
There are a great many "programmer fonts," designed primarily for use on the screen, but in most cases do not have the attention to detail for high resolution rendering.


%prep
%setup -q -n Inconsolata-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fontdir}
install -m644 *.ttf $RPM_BUILD_ROOT%{fontdir}/

mkdir -p $RPM_BUILD_ROOT%{fontconfdir}
ln -s ../../../%{fontdir} $RPM_BUILD_ROOT%{fontconfdir}/ttf-inconsolata:pri=50


%files
%defattr(-,root,root,-)
%doc DESCRIPTION.en_us.html *.txt METADATA.pb
%{fontdir}/*.ttf
%{fontconfdir}/*


%changelog
* Sat Sep 16 2017 tomcat <> 2.001-1
- update to 2.001

* Tue Apr 04 2017 tomcat <> 2.000-1
- update to 2.000

* Mon Feb 08 2016 tomcat <> 1.016-1
- update to 1.016
- change package name from fonts-otf-inconsolata to fonts-ttf-inconsolata

* Sun Jul 03 2011 tomcat <> 001.010-2nora11
- rebuild

* Wed Jun 15 2011 tomcat <> 001.010-1nora11
- initial build for PCLinuxOS
